package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.SeriouslyIllNoticeDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;

import java.util.List;

/**
 * @Description: 病重通知书文档生成
 * @author: rengb
 * @time: 2020/3/19 19:41
 */
public class TaiZhouSeriouslyIllNoticeDocTrans extends ModelDocTrans {

    @Override
    public List<SeriouslyIllNoticeDoc> extract(MedrecVo medrecVo) {
        List<SeriouslyIllNoticeDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getSeriouslyIllNoticeDoc(content));
        });
        return retList;
    }

    private SeriouslyIllNoticeDoc getSeriouslyIllNoticeDoc(String content) {
        SeriouslyIllNoticeDoc seriouslyIllNoticeDoc = new SeriouslyIllNoticeDoc();

        return seriouslyIllNoticeDoc;
    }

}